
<?php

#################################################################################
#    PHP-RESIDENCE
#    Copyright (C) 2001-2005 by Marco Maria Francesco De Santis (marco@digitaldruid.net)
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#################################################################################



include("./includes/funzioni.php");
$pag = "inizio.php";
$titolo = "php-residence";


unset($numconnessione);
$id_utente = controlla_login($numconnessione,$PHPR_TAB_PRE,$id_sessione,$nome_utente_phpr,$password_phpr,$anno);
if ($id_utente and $numconnessione and $logout == "SI") {
$tabelle_lock = array($PHPR_TAB_PRE."sessioni");
$tabelle_lock = lock_tabelle($tabelle_lock);
esegui_query("delete from $PHPR_TAB_PRE"."sessioni where idsessioni = '$id_sessione'");
unlock_tabelle($tabelle_lock);
unset($id_sessione);
$id_utente = controlla_login($numconnessione,$PHPR_TAB_PRE,$id_sessione,$nome_utente_phpr,$password_phpr,$anno);
} # fine if ($id_utente and $numconnessione and $logout == "SI")
if ($id_utente) {




# Controllo se sono stati inseriti i dati permanenti.
if (@is_file("dati/dati_connessione.php") != true) {
$show_bar = "NO";
if ($tema[$id_utente] != "base") include("./includes/themes/".$tema[$id_utente]."/head.php");
else include("./includes/head.php");
echo "<center><font size=+2><b>Welcome to PHP-RESIDENCE.</b></font><br><br>
PHP-RESIDENCE version ".C_PHPR_VERSIONE_TXT.", Copyright (C) 2001-2005 Marco M. F. De Santis<br>
Php-residence comes with ABSOLUTELY NO WARRANTY; <br>for details see the file 
<a href=\"COPYING\">COPYING</a>. <br> This is free software, and you are 
welcome to redistribute it<br>
 under certain conditions; see the  file 
<a href=\"COPYING\">COPYING</a> for details.<br>
</center><hr width=\"95%\">
<br><br>
<form accept-charset=\"utf-8\" method=\"post\" action=\"creadb.php\">
Choose the language:
 <select name=\"lingua\">
<option value=\"ita\">italiano</option>
";
$lang_dir = opendir("./includes/lang/");
while ($ini_lingua = readdir($lang_dir)) {
if ($ini_lingua != "." && $ini_lingua != "..") {
$nome_lingua = file("./includes/lang/$ini_lingua/l_n");
$nome_lingua = togli_acapo($nome_lingua[0]);
if ($ini_lingua == "en") $selected = " selected";
else $selected = "";
echo "<option value=\"$ini_lingua\"$selected>$nome_lingua</option>";
} # fine if ($file != "." && $file != "..")
} # fine while ($file = readdir($lang_dig))
closedir($lang_dir);
echo "</select><br>
<input class=\"sbutton\" type=\"submit\" name=\"crealo\" value=\"create database\"><br>
</form>";
if ($tema[$id_utente] != "base") include("./includes/themes/".$tema[$id_utente]."/foot.php");
else include("./includes/foot.php");
} # fine if (@is_file("dati/dati_connessione.php") != true)

else {

if (C_CREA_ULTIMO_ACCESSO == "SI") {
$fileaperto = @fopen("./dati/ultimo_accesso","w+");
@fwrite($fileaperto,date("d-m-Y H:i:s"));
@fclose($fileaperto);
} # fine if (C_CREA_ULTIMO_ACCESSO == "SI")

# Se non si specifica nessun anno uso l'attuale
if ( $anno == "" ) $anno = date("Y",(time() + (C_DIFF_ORE * 3600)));

if ($id_utente != 1) {
$tableprivilegi = $PHPR_TAB_PRE."privilegi";
$privilegi_annuali_utente = esegui_query("select * from $tableprivilegi where idutente = '$id_utente' and anno = '$anno'");
if (numlin_query($privilegi_annuali_utente) == 0) $anno_utente_attivato = "NO";
else {
$anno_utente_attivato = "SI";
$privilegi_globali_utente = esegui_query("select * from $tableprivilegi where idutente = '$id_utente' and anno = '1'");
$priv_mod_pers = risul_query($privilegi_globali_utente,0,priv_mod_pers);
if (substr($priv_mod_pers,0,1) != "s") $modifica_pers = "NO";
$priv_ins_clienti = risul_query($privilegi_globali_utente,0,priv_ins_clienti);
if (substr($priv_ins_clienti,0,1) != "s") $inserimento_nuovi_clienti = "NO";
if (substr($priv_ins_clienti,1,1) != "s" and substr($priv_ins_clienti,1,1) != "p") $modifica_clienti = "NO";
if (substr($priv_ins_clienti,2,1) != "s" and substr($priv_ins_clienti,2,1) != "p") $vedi_clienti = "NO";
$priv_messaggi = risul_query($privilegi_globali_utente,0,priv_messaggi);
$priv_vedi_messaggi = substr($priv_messaggi,0,1);
$priv_ins_prenota = risul_query($privilegi_annuali_utente,0,priv_ins_prenota);
$priv_ins_nuove_prenota = substr($priv_ins_prenota,0,1);
$priv_ins_costi = risul_query($privilegi_annuali_utente,0,priv_ins_costi);
$priv_ins_spese = substr($priv_ins_costi,0,1);
$priv_ins_entrate = substr($priv_ins_costi,1,1);
$priv_mod_prenota = risul_query($privilegi_annuali_utente,0,priv_mod_prenota);
$priv_mod_prenotazioni = substr($priv_mod_prenota,0,1);
$priv_mod_pagato = substr($priv_mod_prenota,10,1);
$priv_mod_prenota_iniziate = substr($priv_mod_prenota,11,1);
$priv_mod_prenota_ore = substr($priv_mod_prenota,12,3);
$priv_mod_checkin = substr($priv_mod_prenota,20,1);
$priv_vedi_tab = risul_query($privilegi_annuali_utente,0,priv_vedi_tab);
$priv_vedi_tab_mesi = substr($priv_vedi_tab,0,1);
$priv_vedi_tab_prenotazioni = substr($priv_vedi_tab,1,1);
$priv_vedi_tab_costi = substr($priv_vedi_tab,2,1);
$priv_vedi_tab_periodi = substr($priv_vedi_tab,3,1);
$priv_vedi_tab_regole = substr($priv_vedi_tab,4,1);
$priv_vedi_tab_appartamenti = substr($priv_vedi_tab,5,1);
} # fine else if (numlin_query($privilegi_annuali_utente) == 0)
} # fine if ($id_utente != 1)
else {
$anno_utente_attivato = "SI";
$modifica_pers = "SI";
$inserimento_nuovi_clienti = "SI";
$modifica_clienti = "SI";
$vedi_clienti = "SI";
$priv_vedi_messaggi = "s";
$priv_ins_nuove_prenota = "s";
$priv_ins_spese = "s";
$priv_ins_entrate = "s";
$priv_mod_prenotazioni = "s";
$priv_mod_pagato = "s";
$priv_mod_prenota_iniziate = "s";
$priv_mod_prenota_ore = "000";
$priv_mod_checkin = "s";
$priv_vedi_tab_mesi = "s";
$priv_vedi_tab_prenotazioni = "s";
$priv_vedi_tab_costi = "s";
$priv_vedi_tab_periodi = "s";
$priv_vedi_tab_regole = "s";
$priv_vedi_tab_appartamenti = "s";
} # fine else if ($id_utente != 1)




if (@is_file("./dati/dati_subordinazione.php")) {
include("./dati/dati_subordinazione.php");
$installazione_subordinata = "SI";
if (!$numconnessione) {
include("./dati/dati_connessione.php");
include("./includes/funzioni_$PHPR_DB_TYPE.php");
$numconnessione = connetti_db($PHPR_DB_NAME,$PHPR_DB_HOST,$PHPR_DB_PORT,$PHPR_DB_USER,$PHPR_DB_PASS,$PHPR_LOAD_EXT);
} # fine if (!$numconnessione)
$tablepersonalizza = $PHPR_TAB_PRE."personalizza";
$stile_data = stile_data();
$form_aggiorna_sub = "<form accept-charset=\"utf-8\" method=\"post\" action=\"interconnessioni.php\">
<font size=-1>".mex("Ultimo aggiornamento",$pag).": ".formatta_data($ultimo_aggiornamento,$stile_data)."
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"azione_ic\" value=\"SI\">
<input type=\"hidden\" name=\"aggiorna_subordinazione\" value=\"SI\">
<input class=\"sbutton\" type=\"submit\" value=\"".mex("Aggiorna",$pag)."\">
</font></form>";
$inserimento_nuovi_clienti = "NO";
$modifica_clienti = "NO";
$priv_ins_nuove_prenota = "n";
$priv_ins_spese = "n";
$priv_ins_entrate = "n";
} # fine if (@is_file("./dati/dati_subordinazione.php"))
else $form_aggiorna_sub = "";


$anno_esistente = "SI";
if (!@is_file("dati/selectperiodi$anno.1.php") or $anno_utente_attivato != "SI") {
$anno_esistente = "NO";
$anno_attuale = date("Y",(time() + (C_DIFF_ORE * 3600)));
if ($anno == $anno_attuale) {
if (!$numconnessione) {
include("./dati/dati_connessione.php");
include("./includes/funzioni_$PHPR_DB_TYPE.php");
$numconnessione = connetti_db($PHPR_DB_NAME,$PHPR_DB_HOST,$PHPR_DB_PORT,$PHPR_DB_USER,$PHPR_DB_PASS,$PHPR_LOAD_EXT);
} # fine if (!$numconnessione)
$tablepersonalizza = $PHPR_TAB_PRE."personalizza";
$auto_crea_anno = esegui_query("select valpersonalizza from $tablepersonalizza where idpersonalizza = 'auto_crea_anno' and idutente = '1'");
$auto_crea_anno = risul_query($auto_crea_anno,0,valpersonalizza);
if ($auto_crea_anno == "SI") {
$tableanni = $PHPR_TAB_PRE."anni";
$ultimi_anni = esegui_query("select * from $tableanni order by idanni desc");
if (numlin_query($ultimi_anni) != 0) $ultimo_anno = risul_query($ultimi_anni,0,idanni);
else $ultimo_anno = "-2";
if ($anno == ($ultimo_anno + 1)) {
$tipo_periodi_prec = risul_query($ultimi_anni,0,tipo_periodi);
if ($tipo_periodi_prec == "s") {
$tableperiodi_ua = $PHPR_TAB_PRE."periodi".$ultimo_anno;
$giorno_ini_fine = esegui_query("select datainizio from $tableperiodi_ua where idperiodi = '1'");
$giorno_ini_fine = risul_query($giorno_ini_fine,0,datainizio);
$giorno_ini_fine = explode("-",$giorno_ini_fine);
$giorno_ini_fine = date("w",mktime(0,0,0,$giorno_ini_fine[1],$giorno_ini_fine[2],$giorno_ini_fine[0]));
} # fine if ($tipo_periodi_prec == "s")
include("./includes/funzioni_costi_agg.php");
include("./includes/funzioni_anno.php");
crea_nuovo_anno ($anno,$PHPR_TAB_PRE,$DATETIME,$tipo_periodi_prec,$giorno_ini_fine,"1","12","SI","SI",$pag);
$anno_esistente = "SI";
} # fine if ($anno == ($ultimo_anno + 1))
} # fine if ($auto_crea_anno == "SI")
} # fine if ($anno == $anno_attuale)
} # fine if (!@is_file("dati/selectperiodi$anno.1.php") or $anno_utente_attivato != "SI")


if ($anno_esistente == "SI") {
//esiste l'anno richiesto

if ($tema[$id_utente] != "base") include("./includes/themes/".$tema[$id_utente]."/head.php");
else include("./includes/head.php");

echo "$form_aggiorna_sub";

if ($tema[$id_utente] != "base") include("./includes/themes/".$tema[$id_utente]."/menu.php");
else $hide_default_menu = 0;
if (!$hide_default_menu) {

if ($nome_utente_login) {
echo "<font size=\"-2\">".mex("Utente",$pag).": $nome_utente_login".".
 <a href=\"inizio.php?anno=$anno&id_sessione=$id_sessione&logout=SI\"><font color=\"#000000\">".mex("Esci",$pag)."</font></a></font>";
} # fine if ($nome_utente_login)

$anno_succ = $anno + 1;
echo "<br><center><font size=\"+2\"><strong>".mex("Menù principale dell'anno",$pag)." $anno";
if ($commento_subordinazione) echo " ($commento_subordinazione)";
echo "</strong></font><br>
<P><br><table border=0 cellspacing=0 cellpadding=0><tr>";
if ($priv_ins_nuove_prenota == "s") {
echo "<td width=10></td><td height=33 valign=\"top\">
<form accept-charset=\"utf-8\" method=\"post\" action=\"prenota.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" name=\"prenota\" value=\"".mex("Inserisci una nuova prenotazione",$pag)."\"><br>
</form></td><td width=10></td>";
} # fine if ($priv_ins_nuove_prenota == "s")
echo "</tr></table><table border=0 cellspacing=0 cellpadding=0>";
if ($priv_vedi_tab_mesi != "n") {
echo "<tr><form accept-charset=\"utf-8\" method=\"post\" action=\"tabella.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<td><input class=\"sbutton\" type=\"submit\" name=\"prenota\" value=\"".mex("Visualizza e modifica le prenotazioni",$pag)."\">
 ".mex("del mese di",$pag);
$mese_attuale = date("n",(time() + (C_DIFF_ORE * 3600)));
for ($num1 = 1 ; $num1 <= 12 ; $num1++) {
$mese_invia[$num1] = "\"$num1\"";
if ($num1 == $mese_attuale) $mese_invia[$num1] .= " selected";
$mese_invia[$num1] .= ">";
} # fine for $num1
echo " <select name=\"mese\">
<option value=".$mese_invia[1].mex("Gennaio",$pag)."</option>
<option value=".$mese_invia[2].mex("Febbraio",$pag)."</option>
<option value=".$mese_invia[3].mex("Marzo",$pag)."</option>
<option value=".$mese_invia[4].mex("Aprile",$pag)."</option>
<option value=".$mese_invia[5].mex("Maggio",$pag)."</option>
<option value=".$mese_invia[6].mex("Giugno",$pag)."</option>
<option value=".$mese_invia[7].mex("Luglio",$pag)."</option>
<option value=".$mese_invia[8].mex("Agosto",$pag)."</option>
<option value=".$mese_invia[9].mex("Settembre",$pag)."</option>
<option value=".$mese_invia[10].mex("Ottobre",$pag)."</option>
<option value=".$mese_invia[11].mex("Novembre",$pag)."</option>
<option value=".$mese_invia[12].mex("Dicembre",$pag)."</option>
</select></td><td>
<input type=\"radio\" name=\"anno_succ\" value=\"NO\" checked>$anno<br>
<input type=\"radio\" name=\"anno_succ\" value=\"SI\">$anno_succ
</td></form></tr>";
} # fine if ($priv_vedi_tab_mesi != "n")
echo "<tr><td height=12></td></tr></table>";
if ($priv_vedi_tab_prenotazioni != "n" or $vedi_clienti != "NO" or $priv_vedi_tab_costi != "n" or $priv_vedi_tab_periodi != "n" or $priv_vedi_tab_regole != "n" or $priv_vedi_tab_appartamenti != "n") {
echo "<table border=0 cellspacing=0 cellpadding=0><tr><td height=42 valign=\"top\">
<form accept-charset=\"utf-8\" method=\"post\" action=\"visualizza_tabelle.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" name=\"visualizza\" value=\"".mex("Visualizza la tabella",$pag)."\">
 ".mex("con",$pag)."
<select name=\"tipo_tabella\">";
if ($priv_vedi_tab_prenotazioni != "n") echo "<option value=\"prenotazioni\">".mex("tutte le prenotazioni",$pag)."</option>";
if ($priv_vedi_tab_costi != "n") echo "<option value=\"costi\">".mex("le spese e le entrate",$pag)."</option>";
if ($priv_vedi_tab_periodi != "n") echo "<option value=\"periodi\">".mex("i periodi e le tariffe",$pag)."</option>";
if ($vedi_clienti != "NO") echo "<option value=\"clienti\">".mex("tutti i clienti",$pag)."</option>";
if ($priv_vedi_tab_regole != "n") echo "<option value=\"regole\">".mex("le regole di assegnazione",$pag)."</option>";
if ($priv_vedi_tab_appartamenti != "n") echo "<option value=\"appartamenti\">".mex("tutti gli appartamenti",$pag)."</option>";
echo "</select></form></td></tr></table>";
} # fine if ($priv_vedi_tab_prenotazioni != "n" or...
echo "<table border=0 cellspacing=0 cellpadding=0><tr>";
if ($inserimento_nuovi_clienti != "NO" or ($modifica_clienti != "NO" and $vedi_clienti != "NO")) {
echo "<td width=10></td><td height=42 valign=\"top\">
<form accept-charset=\"utf-8\" method=\"post\" action=\"clienti.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" name=\"clienti\" value=\"".mex("Inserisci un nuovo cliente",$pag)."\"><br>
</form></td><td width=10></td>";
} # fine if ($inserimento_nuovi_clienti != "NO" or...
if ($priv_ins_spese == "s" or $priv_ins_entrate == "s") {
echo "<td width=10></td><td height=42 valign=\"top\">
<form accept-charset=\"utf-8\" method=\"post\" action=\"costi.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" name=\"ins_costi\" value=\"".mex("Inserisci le spese e le entrate",$pag)."\"><br>
</form></td><td width=10></td>";
} # fine if ($priv_ins_spese == "s" or $priv_ins_entrate == "s")
if ($priv_vedi_messaggi == "s") {
$gt = "";
$lt = "";
if ($numconnessione) {
$tablemessaggi = $PHPR_TAB_PRE."messaggi";
$adesso = date("Y-m-d H:i:s",(time() + (C_DIFF_ORE * 3600)));
$messaggi = esegui_query("select idmessaggi from $tablemessaggi where datavisione < '$adesso' and idutenti_visto $LIKE '%,$id_utente,%'");
if (numlin_query($messaggi) > 0) {
$gt = "<b><font color=\"red\">&gt;</font></b>";
$lt = "<b><font color=\"red\">&lt;</font></b>";
} # fine if (numlin_query($messaggi) > 0)
} # fine if ($numconnessione)
echo "<td width=10></td><td height=42 valign=\"top\">
<form accept-charset=\"utf-8\" method=\"post\" action=\"messaggi.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
$gt<input class=\"sbutton\" type=\"submit\" name=\"ins_costi\" value=\"".mex("Messaggi",$pag)."\">$lt<br>
</form></td><td width=10></td>";
} # fine if ($priv_vedi_messaggi == "s")
echo "</tr></table>";
if ($priv_ins_nuove_prenota == "s" or $priv_vedi_tab_mesi != "n" or $priv_vedi_tab_prenotazioni != "n") {
echo "<table border=0 cellspacing=0 cellpadding=0><tr><td>
<form accept-charset=\"utf-8\" method=\"post\" action=\"disponibilita.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\"><input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" name=\"con_dis\" value=\"".mex("Controlla la disponibilità",$pag)."\">
 ".mex("dal",$pag)." ";
if ($numconnessione) {
$oggi = date("Y-m-d",(time() + (C_DIFF_ORE * 3600)));
$date_select = esegui_query("select datainizio,datafine from $PHPR_TAB_PRE"."periodi$anno where datainizio <= '$oggi' and datafine > '$oggi' ");
if (numlin_query($date_select) != 0) {
$inizio_select = risul_query($date_select,0,datainizio);
$fine_select = risul_query($date_select,0,datafine);
} # fine if (numlin_query($date_select) != 0)
} # fine if ($numconnessione)
mostra_menu_date("./dati/selperiodimenu$anno.$id_utente.php","inizioperiodo",$inizio_select,"","",$id_utente,$tema);
echo " ".mex("al",$pag)." ";
mostra_menu_date("./dati/selperiodimenu$anno.$id_utente.php","fineperiodo",$fine_select,"","",$id_utente,$tema);
echo " (".mex("per",$pag)."
 <input type=\"text\" name=\"numpersone\" size=\"2\" maxlength=\"2\">
 ".mex("persone",$pag).")
</form></td></tr></table>";
} # fine if ($priv_ins_nuove_prenota == "s" or $priv_vedi_tab_mesi != "n" or $priv_vedi_tab_prenotazioni != "n")
echo "<hr width=\"95%\">";


if ($numconnessione and $priv_vedi_tab_prenotazioni != "n") {
$tablepersonalizza = $PHPR_TAB_PRE."personalizza";
$tableprenota = $PHPR_TAB_PRE."prenota".$anno;
$tablecostiprenota = $PHPR_TAB_PRE."costiprenota".$anno;
$tableperiodi = $PHPR_TAB_PRE."periodi".$anno;
$tableclienti = $PHPR_TAB_PRE."clienti";
$attiva_checkin = esegui_query("select valpersonalizza from $tablepersonalizza where idpersonalizza = 'attiva_checkin' and idutente = '$id_utente'");
$attiva_checkin = risul_query($attiva_checkin,0,valpersonalizza);
if ($attiva_checkin == "SI") {
$tabelle_lock = "";
$altre_tab_lock = array("$tableprenota","$tableperiodi","$tablepersonalizza");
$tabelle_lock = lock_tabelle($tabelle_lock,$altre_tab_lock);
if ($priv_vedi_tab_prenotazioni == "p") $condizione_prenota_proprie = "and utente_inserimento = '$id_utente'";
else $condizione_prenota_proprie = "";
$id_periodo_corrente = calcola_id_periodo_corrente($anno);
$prenotazioni = esegui_query("select * from $tableprenota where ((iddatainizio <= '$id_periodo_corrente' and checkin is NULL) or (iddatafine < '$id_periodo_corrente' and checkout is NULL)) $condizione_prenota_proprie order by checkin desc, iddatainizio, iddatafine");
$num_prenotazioni = numlin_query($prenotazioni);
$data_inizio_assoluta = esegui_query("select datainizio from $tableperiodi where idperiodi = 1");
$data_inizio_assoluta = risul_query($data_inizio_assoluta,0,datainizio);
unlock_tabelle($tabelle_lock);

if ($num_prenotazioni > 0) {
if (!function_exists("dati_costi_agg_prenota")) include("./includes/funzioni_costi_agg.php");
echo "<table class=\"t1\" width=780 border=\"$t1border\" cellspacing=\"$t1cellspacing\" cellpadding=\"$t1cellpadding\" align=\"center\" bgcolor=\"$t1color\">
<tr><td align=\"center\">N&deg;</td>
<td align=\"center\"><font size=-1>".str_replace(" ","&nbsp;",mex("Cognome del cliente",$pag))."</font></td>
<td align=\"center\">".str_replace(" ","&nbsp;",mex("Data iniziale",$pag))."</td>
<td align=\"center\">".str_replace(" ","&nbsp;",mex("Data finale",$pag))."</td>
<td align=\"center\"><font size=-2>".mex("Tariffa completa",$pag)."</font></td>
<td align=\"center\"><font size=-2>".str_replace(" ","&nbsp;",mex("Da pagare",$pag))."</font></td>
<td align=\"center\"><font size=-2>".mex("App",$pag).".</font></td>
<td align=\"center\"><font size=-2>".mex("Pers",$pag).".</font></td>
<td align=\"center\" colspan=2>".mex("Registra",$pag)."</td></tr>";

for ($num1 = 0 ; $num1 < $num_prenotazioni ; $num1++) {
$utente_inserimento_prenota = risul_query($prenotazioni,$num1,utente_inserimento);
$numero = risul_query($prenotazioni,$num1,idprenota);
$appartamento = risul_query($prenotazioni,$num1,idappartamenti);
$id_clienti = risul_query($prenotazioni,$num1,idclienti);
$cognome = esegui_query("select cognome,utente_inserimento from $tableclienti where idclienti = $id_clienti");
$mostra_cliente = "SI";
if ($vedi_clienti == "NO") $mostra_cliente = "NO";
if ($vedi_clienti == "PROPRI") {
$utente_inserimento = risul_query($cognome,0,utente_inserimento);
if ($utente_inserimento != $id_utente) $mostra_cliente = "NO";
} # fine if ($vedi_clienti == "PROPRI")
if ($mostra_cliente == "NO") $cognome = mex("Cliente",$pag)." $id_clienti";
else $cognome = risul_query($cognome,0,cognome);
$cognome = htmlspecialchars($cognome);

$id_data_inizio = risul_query($prenotazioni,$num1,iddatainizio);
if ($id_data_inizio == 0) { $data_inizio = "<".$data_inizio_assoluta; }
else {
$data_inizio = esegui_query("select * from $tableperiodi where idperiodi = $id_data_inizio");
$data_inizio = risul_query($data_inizio,0,datainizio);
$data_inizio_f = formatta_data($data_inizio,$stile_data);
} # fine else if ($id_data_inizio == 0)
$id_data_fine = risul_query($prenotazioni,$num1,iddatafine);
$data_fine = esegui_query("select * from $tableperiodi where idperiodi = $id_data_fine");
$data_fine = risul_query($data_fine,0,datafine);
$data_fine_f = formatta_data($data_fine,$stile_data);
$mese = explode("-",$data_inizio);
$mese = $mese[1];

$num_persone = risul_query($prenotazioni,$num1,num_persone);
if (!$num_persone or $num_persone == 0) { $num_persone = "?"; }
$n_letti_agg = 0;
$dati_cap = dati_costi_agg_prenota($tablecostiprenota,$numero);
unset($num_letti_agg);
for ($numca = 0 ; $numca < $dati_cap[num] ; $numca++) aggiorna_letti_agg_in_periodi($dati_cap,$numca,$num_letti_agg,$d_id_data_inizio,$d_id_data_fine,$dati_cap[$numca][settimane],$dati_cap[$numca][moltiplica_costo],"","");
$n_letti_agg = $num_letti_agg[max];

$caparra = risul_query($prenotazioni,$num1,caparra);
if (!$caparra) { $caparra = 0; }
$pagato = risul_query($prenotazioni,$num1,pagato);
if (!$pagato) { $pagato = 0; }
$pagato_p = punti_in_num($pagato,$stile_soldi);
$costo_tot = risul_query($prenotazioni,$num1,tariffa_tot);
if (!$costo_tot) { $costo_tot = 0; }
$costo_tot_p = punti_in_num($costo_tot,$stile_soldi);
$da_pagare = $costo_tot - $pagato;
$da_pagare_p = punti_in_num($da_pagare,$stile_soldi);
$confermato = risul_query($prenotazioni,$num1,conferma);
$confermato = substr($confermato,0,1);
$colore = "";
if ($pagato < $costo_tot) {
$colore = "#FFEE22"; #giallo
if ($pagato < $caparra) $colore = "#FF9900"; #arancione
if ($confermato != "S") $colore = "#CC0000"; # rosso
} # fine if ($pagato < $costo_tot)

$link_modifica = "SI";
if ($priv_mod_prenotazioni == "n") $link_modifica = "NO";
if ($priv_mod_prenotazioni == "p") {
if ($utente_inserimento_prenota != $id_utente) $link_modifica = "NO";
} # fine if ($priv_mod_prenotazioni == "p")
if ($priv_mod_prenota_iniziate != "s" and $id_periodo_corrente >= $id_data_inizio) $link_modifica = "NO";
if ($priv_mod_prenota_ore != "000") {
$adesso = date("YmdHis",(time() + (C_DIFF_ORE * 3600)));
$data_ins = risul_query($prenotazioni,$num1,datainserimento);
$limite = date("YmdHis",mktime((substr($data_ins,11,2) + $priv_mod_prenota_ore),substr($data_ins,14,2),substr($data_ins,17,2),substr($data_ins,5,2),substr($data_ins,8,2),substr($data_ins,0,4)));
if ($adesso > $limite) $link_modifica = "NO";
} # fine if ($priv_mod_prenota_ore != "000")
$checkin = risul_query($prenotazioni,$num1,checkin);
$checkout = risul_query($prenotazioni,$num1,checkout);
if ($checkout and !$checkin) {
$stima_checkin = substr(str_replace(" ","&nbsp;",str_replace("$data_inizio_f ","",formatta_data($checkout))),0,-3);
if (strlen($stima_checkin) < 10) $stima_checkin = "&nbsp;<font size=\"-2\">($stima_checkin)</font>";
else $stima_checkin = " <font size=\"-2\">($stima_checkin)</font>";
$checkout = "";
} # fine if ($checkout and !$checkin)
else $stima_checkin = "";
$data_inserimento = risul_query($prenotazioni,$num1,datainserimento);
$host_inserimento = risul_query($prenotazioni,$num1,hostinserimento);

if ($link_modifica == "SI") {
echo "<tr><td align=\"center\"><a href=\"modifica_prenota.php?id_prenota=$numero&anno=$anno&id_sessione=$id_sessione&origine=inizio.php\">$numero</a></td>";
} # fine if ($link_modifica == "SI")
else echo "<tr><td align=\"center\">$numero</td>";
echo "<td align=\"center\">$cognome</td>
<td align=\"center\">$data_inizio_f"."$stima_checkin</td>
<td align=\"center\">$data_fine_f</td>
<td align=\"center\">$costo_tot_p</td>
<td align=\"center\"";
if ($colore) echo " bgcolor =\"$colore\"";
echo ">$da_pagare_p</td>
<td align=\"center\">$appartamento</td>
<td align=\"center\">$num_persone";
if ($n_letti_agg != 0) { echo "+$n_letti_agg"; }
echo "</td>";
if ($link_modifica == "SI" and $priv_mod_checkin == "s") {
echo "<td align=\"center\" valign=\"center\"";
if (!$colore or $priv_mod_pagato != "s") echo " colspan=2";
echo ">
<form accept-charset=\"utf-8\" method=\"post\" action=\"modifica_prenota.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"origine\" value=\"inizio.php\">
<input type=\"hidden\" name=\"id_prenota\" value=\"$numero\">";
if (!$checkin) echo "<input class=\"sbutton\" type=\"submit\" name=\"ins_checkin\" value=\"".mex("Entrata",$pag)."\">";
if ($checkin and !$checkout) echo "<input class=\"sbutton\" type=\"submit\" name=\"ins_checkout\" value=\"".mex("Uscita",$pag)."\">";
echo "</form></td>";
if ($colore and $priv_mod_pagato == "s") {
echo "<td align=\"center\" valign=\"center\">
<form accept-charset=\"utf-8\" method=\"post\" action=\"modifica_prenota.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"origine\" value=\"inizio.php\">
<input type=\"hidden\" name=\"modificaprenotazione\" value=\"SI\">
<input type=\"hidden\" name=\"modo_aggiorna_pagato\" value=\"tutto\">
<input type=\"hidden\" name=\"non_modificare_costi_agg\" value=\"SI\">
<input type=\"hidden\" name=\"d_data_inserimento\" value=\"$data_inserimento\">
<input type=\"hidden\" name=\"d_host_inserimento\" value=\"$host_inserimento\">
<input type=\"hidden\" name=\"id_prenota\" value=\"$numero\">";
if (!$checkin) echo "<input class=\"sbutton\" type=\"submit\" name=\"ins_checkin\" value=\"".mex("Entrata e pagato",$pag)."\">";
if ($checkin and !$checkout) echo "<input class=\"sbutton\" type=\"submit\" name=\"ins_checkout\" value=\"".mex("Uscita e pagato",$pag)."\">";
echo "</form></td>";
} # fine if ($colore)
} # fine if ($link_modifica == "SI" and $priv_mod_checkin == "s")
else {
if (!$checkin) echo "<td align=\"center\" colspan=2>".mex("Entrata",$pag)."</td>";
if ($checkin and !$checkout)  echo "<td align=\"center\" colspan=2>".mex("Uscita",$pag)."</td>";
} # fine else if ($link_modifica == "SI" and $priv_mod_checkin == "s")
echo "</tr>";

} # fine for $num1
echo "</table>
<hr width=\"95%\">";
} # fine if ($num_prenotazioni > 0)
} # fine if ($attiva_checkin == "SI")
} # fine if ($numconnessione and $priv_vedi_tab_prenotazioni != "n")


if ($id_utente == 1 and $installazione_subordinata != "SI") {
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"creaprezzi.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" name=\"insprezzi\" value=\"".mex("Inserisci o modifica i prezzi",$pag)."\">
</form>";
} # fine if ($id_utente == 1 and $installazione_subordinata != "SI")
if ($id_utente == 1 and $installazione_subordinata != "SI") {
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"crearegole.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" name=\"insregole\" value=\"".mex("Inserisci o modifica le regole di assegnazione",$pag)."\"><br>
</form>";
} # fine if ($id_utente == 1 and $installazione_subordinata != "SI")
if ($modifica_pers != "NO") {
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"personalizza.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" name=\"insregole\" value=\"".mex("Configura e personalizza",$pag)."\"><br>
</form>";
} # fine if ($modifica_pers != "NO")
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"inizio.php\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
".mex("richiedi l'anno",$pag)."
<input type=\"text\" name=\"anno\" size=\"4\" maxlength=\"4\">
<input class=\"sbutton\" type=\"submit\" name=\"vai\" value=\"".mex("vai",$pag)."\"><br>
</form></center>";

if ($tema[$id_utente] != "base") include("./includes/themes/".$tema[$id_utente]."/foot.php");
else include("./includes/foot.php");


} # fine if (!$hide_default_menu)
} # fine if ($anno_esistente == "SI")



else {
# Non esiste l'anno richiesto

$show_bar = "NO";
if ($tema[$id_utente] != "base") include("./includes/themes/".$tema[$id_utente]."/head.php");
else include("./includes/head.php");
echo "$form_aggiorna_sub";

if (controlla_anno($anno) == "NO" or $id_utente != 1 or $installazione_subordinata == "SI" or (C_CREA_ANNO_NON_ATTUALE == "NO" and $anno != $anno_attuale)) echo mex("Il formato dell'anno richiesto è sbagliato",$pag).".<br>";
else {

echo "<br> ".mex("Non esiste l'anno ",$pag).$anno.mex(" nel database",$pag).". <br><br>
<form accept-charset=\"utf-8\" method=\"post\" action=\"creaanno.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" name=\"creaanno\" value=\"".mex("Crea l'anno",$pag)." $anno \">
 ".mex("con periodi",$pag).":<br>";
unset($tipo_periodi_obbligati);
unset($checked_g);
unset($checked_s);
if (!$numconnessione) {
include("./dati/dati_connessione.php");
include("./includes/funzioni_$PHPR_DB_TYPE.php");
$numconnessione = connetti_db($PHPR_DB_NAME,$PHPR_DB_HOST,$PHPR_DB_PORT,$PHPR_DB_USER,$PHPR_DB_PASS,$PHPR_LOAD_EXT);
} # fine if (!$numconnessione)
$tableanni = $PHPR_TAB_PRE."anni";
$tipo_periodi_esistenti = esegui_query("select * from $tableanni order by idanni desc");
if (numlin_query($tipo_periodi_esistenti) != 0) $tipo_periodi_prec = risul_query($tipo_periodi_esistenti,0,tipo_periodi);
if ($tipo_periodi_prec == "s") $checked_s = " checked";
else $checked_g = " checked";
if (C_CAMBIA_TIPO_PERIODI == "NO") $tipo_periodi_obbligati = $tipo_periodi_prec;
if (!$tipo_periodi_obbligati or $tipo_periodi_obbligati == "s") {
echo "<input type=\"radio\" name=\"tipo_periodi\" value=\"s\"$checked_s>
".mex("settimanali",$pag)." (
 <select name=\"giorno_ini_fine\">
<option value=\"0\">".mex("Domenica",$pag)."</option>
<option value=\"1\">".mex("Lunedì",$pag)."</option>
<option value=\"2\">".mex("Martedì",$pag)."</option>
<option value=\"3\">".mex("Mercoledì",$pag)."</option>
<option value=\"4\">".mex("Giovedì",$pag)."</option>
<option value=\"5\">".mex("Venerdì",$pag)."</option>
<option value=\"6\" selected>".mex("Sabato",$pag)."</option>
</select> ".mex("come giorno di inizio/fine locazione",$pag).")<br>";
} # fine if (!$tipo_periodi_obbligati or $tipo_periodi_obbligati == "s")
if (!$tipo_periodi_obbligati or $tipo_periodi_obbligati == "g") {
echo "<input type=\"radio\" name=\"tipo_periodi\" value=\"g\"$checked_g>
".mex("giornalieri",$pag)."<br>";
} # fine if (!$tipo_periodi_obbligati or $tipo_periodi_obbligati == "g")
echo "".mex("e prenotazioni da",$pag)."
 <select name=\"mese_ini\">
<option value=\"1\" selected>".mex("Gennaio",$pag)."</option>
<option value=\"2\">".mex("Febbraio",$pag)."</option>
<option value=\"3\">".mex("Marzo",$pag)."</option>
<option value=\"4\">".mex("Aprile",$pag)."</option>
<option value=\"5\">".mex("Maggio",$pag)."</option>
<option value=\"6\">".mex("Giugno",$pag)."</option>
<option value=\"7\">".mex("Luglio",$pag)."</option>
<option value=\"8\">".mex("Agosto",$pag)."</option>
<option value=\"9\">".mex("Settembre",$pag)."</option>
<option value=\"10\">".mex("Ottobre",$pag)."</option>
<option value=\"11\">".mex("Novembre",$pag)."</option>
<option value=\"12\">".mex("Dicembre",$pag)."</option>
</select> ".mex("a",$pag)."
 <select name=\"mese_fine\">
<option value=\"1\">".mex("Gennaio",$pag)."</option>
<option value=\"2\">".mex("Febbraio",$pag)."</option>
<option value=\"3\">".mex("Marzo",$pag)."</option>
<option value=\"4\">".mex("Aprile",$pag)."</option>
<option value=\"5\">".mex("Maggio",$pag)."</option>
<option value=\"6\">".mex("Giugno",$pag)."</option>
<option value=\"7\">".mex("Luglio",$pag)."</option>
<option value=\"8\">".mex("Agosto",$pag)."</option>
<option value=\"9\">".mex("Settembre",$pag)."</option>
<option value=\"10\">".mex("Ottobre",$pag)."</option>
<option value=\"11\">".mex("Novembre",$pag)."</option>
<option value=\"12\" selected>".mex("Dicembre",$pag)."</option>
<option value=\"13\">".mex("Gen. anno successivo",$pag)."</option>
<option value=\"14\">".mex("Feb. anno successivo",$pag)."</option>
<option value=\"15\">".mex("Mar. anno successivo",$pag)."</option>
<option value=\"16\">".mex("Apr. anno successivo",$pag)."</option>
<option value=\"17\">".mex("Mag. anno successivo",$pag)."</option>
<option value=\"18\">".mex("Giu. anno successivo",$pag)."</option>
<option value=\"19\">".mex("Lug. anno successivo",$pag)."</option>
<option value=\"20\">".mex("Ago. anno successivo",$pag)."</option>
<option value=\"21\">".mex("Set. anno successivo",$pag)."</option>
<option value=\"22\">".mex("Ott. anno successivo",$pag)."</option>
<option value=\"23\">".mex("Nov. anno successivo",$pag)."</option>
<option value=\"24\">".mex("Dic. anno successivo",$pag)."</option>
<option value=\"25\">".mex("Gen. 2 anni successivi",$pag)."</option>
</select>.<br>";
$anno_prec = $anno -1;
if (@is_file("dati/selectperiodi$anno_prec.1.php")) {
echo "<input type=\"checkbox\" name=\"importa_anno_prec\" value=\"SI\" checked>
".mex("Importa dall'anno precedente prenotazioni, tariffe (compresi costi aggiuntivi), privilegi degli utenti e regole d'assegnazione.",$pag);
} # fine if (@is_file("dati/selectperiodi$anno_prec.1.php"))

} # fine else if (controlla_anno($anno) == "NO" or $id_utente != 1 or...
echo "</form><br><hr width=\"95%\"><br>
<form accept-charset=\"utf-8\" method=\"post\" action=\"inizio.php\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<br> ".mex("richiedi l'anno",$pag)."
<input type=\"text\" name=\"anno\" size=\"4\" maxlength=\"4\">
<input class=\"sbutton\" type=\"submit\" name=\"vai\" value=\"".mex("vai",$pag)."\"><br>
</form>";
if ($tema[$id_utente] != "base") include("./includes/themes/".$tema[$id_utente]."/foot.php");
else include("./includes/foot.php");

} # fine else if ($anno_esistente == "SI")

} # fine else if (@is_file("dati/dati_connessione.php") != true)






} # fine if ($id_utente)




?>


